# codon-bias

This package provides analysis tools for genomic sequences, focusing on protein coding regions, translation efficiency and synonymous mutations. These include implementations of popular models from the past four decades of codon usage study, such as:

- Frequency of Optimal Codons (FOP)
- Relative Synonymous Codon Usage (RSCU)
- Codon Adaptation Index (CAI)
- Effective Number of Codons (ENC)
- tRNA Adaptation Index (tAI)
- Relative Codon Bias Score (RCBS)
- Directional Codon Bias Score (DCBS)
- Codon Usage Frequency Similarity (CUFS)

## installation

```
pip install codon-bias
```

## documentation

Read on [readthedocs](https://codon-bias.readthedocs.org).
